Subject: Re: [RFC PATCH] repack: rewrite the shell script in C.

From: Martin Fick <[email-masked]>
Date: Wed, 14 Aug 2013 17:28:29 -0600

On Wednesday, August 14, 2013 04:53:36 pm Junio C Hamano 
wrote:
> Martin Fick <[email-masked]> writes:
> > One suggestion would be to change the repack code to
> > create pack filenames based on the sha1 of the
> > contents of the pack file instead of on the sha1 of
> > the objects in the packfile. ...
> > I am not 100% sure if the change in naming convention I
> > propose wouldn't cause any problems?  But if others
> > agree it is a good idea, perhaps it is something a
> > beginner could do?
> 
> I would not be surprised if that change breaks some other
> people's reimplementation.  I know we do not validate
> the pack name with the hash of the contents in the
> current code, but at the same time I do remember that
> was one of the planned things to be done while I and
> Linus were working on the original pack design, which
> was the last task we did together before he retired from
> the maintainership of this project.

Perhaps a config option?  One that becomes standard for git 
2.0?

-Martin

-- 
The Qualcomm Innovation Center, Inc. is a member of Code 
Aurora Forum, hosted by The Linux Foundation